package cn.iocoder.yudao.module.sale.convert.channel;

import cn.iocoder.yudao.framework.apollo.core.dto.ChannelDto;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.sale.dal.dataobject.channel.ChannelDO;
import cn.iocoder.yudao.module.sale.vo.channel.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 渠道管理 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface ChannelConvert {

    ChannelConvert INSTANCE = Mappers.getMapper(ChannelConvert.class);

    ChannelDO convert(ChannelCreateReqVO bean);

    ChannelDO convert(ChannelUpdateReqVO bean);

    ChannelRespVO convert(ChannelDO bean);

    List<ChannelRespVO> convertList(List<ChannelDO> list);

    PageResult<ChannelRespVO> convertPage(PageResult<ChannelDO> page);

    List<ChannelExcelVO> convertList02(List<ChannelDO> list);

    List<ChannelDto> convertDtoList(List<ChannelDO> list);

}
